<?php
$dir = dirname(__FILE__);
if(!$dir){
	$dir = '.';
}
define("BE_ROOT",$dir."/");
define("BE_TIME",time());
error_reporting(E_ERROR);
define("BE_SYSTEMDIR","");

define("BE_PRODCUT",(1<<1));
define("BE_DEVELOPMENT",(1<<2));
define("BE_SYSTEMMODE",BE_DEVELOPMENT);

$project = json_decode(file_get_contents(BE_ROOT."project.json"),true);
global $be;
$be = (object)[
	"software" => [
		"author" => "Berk Ermiş"
	],
	"project" => $project["name"],
	"packages" => $project["packages"] ?? [],
	"plugins" => $project["plugins"] ?? []
];
define("BE_APPPATH",BE_ROOT.BE_SYSTEMDIR."app/");
require BE_APPPATH."system.php";

?>